Git-Url: 
http://git.frugalware.org/gitweb/gitweb.cgi?p=gnometesting.git;a=commitdiff;h=205b8f716b34a5267253135d1051aa7c590b3e69

commit 205b8f716b34a5267253135d1051aa7c590b3e69
Author: bouleetbil <bouleet...@frogdev.info>
Date:   Fri Apr 2 19:45:21 2010 +0000

usbmuxd-1.0.3-1-i686
*new package

diff --git a/source/lib-extra/usbmuxd/FrugalBuild 
b/source/lib-extra/usbmuxd/FrugalBuild
new file mode 100644
index 0000000..72f65f4
--- /dev/null
+++ b/source/lib-extra/usbmuxd/FrugalBuild
@@ -0,0 +1,17 @@
+# Compiling Time: 0.06 SBU
+# Maintainer: bouleetbil <bouleet...@frogdev.info>
+
+pkgname=usbmuxd
+pkgver=1.0.3
+pkgrel=1
+pkgdesc="Daemon for communicating with Apple's iPod Touch and iPhone"
+depends=('libusb1' 'shadow')
+groups=('lib-extra')
+Finclude cmake
+archs=('i686' 'x86_64' 'ppc')
+url=http://libimobiledevice.org/
+up2date="Flasttar $url"
+source=(http://marcansoft.com/uploads/$pkgname/$pkgname-$pkgver.tar.bz2 
udevuser.diff)
+sha1sums=('525c369019d3235dce709bf973d96be0d679bb78' \
+          '5d1121c1a2b7e945cea6a612c011b8edf6d96baa')
+
diff --git a/source/lib-extra/usbmuxd/udevuser.diff 
b/source/lib-extra/usbmuxd/udevuser.diff
new file mode 100644
index 0000000..53b6c0b
--- /dev/null
+++ b/source/lib-extra/usbmuxd/udevuser.diff
@@ -0,0 +1,11 @@
+--- usbmuxd-1.0.3/udev/85-usbmuxd.rules.in.orig        2010-03-22 
15:31:41.000000000 +0000
++++ usbmuxd-1.0.3/udev/85-usbmuxd.rules.in     2010-03-22 17:13:21.000000000 
+0000
+@@ -1,7 +1,7 @@
+ # usbmuxd (iPhone "Apple Mobile Device" MUXer listening on /var/run/usbmuxd)
+
+ # Forces iPhone 1.0, 3G, 3GS and iPodTouch 1 and 2 to USB configuration 3 and 
run usbmuxd
+-ACTION=="add", SUBSYSTEM=="usb", ATTR{idVendor}=="05ac", 
ATTR{idProduct}=="129[0-9]", ENV{USBMUX_SUPPORTED}="1", 
ATTR{bConfigurationValue}!="$attr{bNumConfigurations}", 
ATTR{bConfigurationValue}="$attr{bNumConfigurations}", 
RUN+="@CMAKE_INSTALL_PREFIX@/sbin/usbmuxd -u -U usbmux"
++ACTION=="add", SUBSYSTEM=="usb", OWNER="usbmuxd", ATTR{idVendor}=="05ac", 
ATTR{idProduct}=="129[0-9]", ENV{USBMUX_SUPPORTED}="1", 
ATTR{bConfigurationValue}!="$attr{bNumConfigurations}", 
ATTR{bConfigurationValue}="$attr{bNumConfigurations}", 
RUN+="@CMAKE_INSTALL_PREFIX@/sbin/usbmuxd -u -U usbmuxd"
+
+ # Exit usbmuxd when the last phone is removed
+ ACTION=="remove", SUBSYSTEM=="usb", ENV{PRODUCT}=="5ac/129[0-9]/*", 
ENV{INTERFACE}=="255/*", RUN+="@CMAKE_INSTALL_PREFIX@/sbin/usbmuxd -x"
diff --git a/source/lib-extra/usbmuxd/usbmuxd.install 
b/source/lib-extra/usbmuxd/usbmuxd.install
new file mode 100644
index 0000000..8becf16
--- /dev/null
+++ b/source/lib-extra/usbmuxd/usbmuxd.install
@@ -0,0 +1,25 @@
+post_install() {
+        if ! grep -q 'usbmuxd' /etc/group; then
+               #create group
+               /usr/sbin/groupadd -g 68 usbmuxd 2>/dev/null
+               #create user
+               /usr/sbin/useradd -s /sbin/nologin -c "usbmuxd user" -d / -u 68 
-g usbmuxd usbmuxd 2>/dev/null
+        fi
+
+}
+
+post_upgrade()
+{
+       post_install
+}
+
+pre_remove()
+{
+       userdel usbmuxd 2>/dev/null
+       groupdel usbmuxd 2>/dev/null
+
+}
+
+op=$1
+shift
+$op $*
_______________________________________________
Frugalware-git mailing list
Frugalware-git@frugalware.org
http://frugalware.org/mailman/listinfo/frugalware-git

Reply via email to